Subject: Bug#1089: [X2Go-Dev] Bug#1089: x2go Ubuntu 16.04 and Fedora 24

From: Robert Dinse <[email-masked]>
Date: Sun, 18 Sep 2016 12:53:43 -0700 (PDT)

I do not seem to be able to find that version on the repository for
Ubuntu, I added:

      add-apt-repository ppa:x2go/ppa

      Then did an apt-get update; and then I went into Synaptic and did a
reload there as well, but searching can't find that version of the libs,
only 3.5.0.* no 3.5.99.*

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
  Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
    Knowledgeable human assistance, not telephone trees or script readers.
  See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.

On Sun, 18 Sep 2016, Mike Gabriel wrote:

> Date: Sun, 18 Sep 2016 19:13:07 +0000
> From: Mike Gabriel <[email-masked]>
> To: Robert Dinse <[email-masked]>, [email-masked]
> Subject: Re: [X2Go-Dev] Bug#1089: x2go Ubuntu 16.04 and Fedora 24
> 
> Hi Robert,
>
> On  So 18 Sep 2016 18:47:50 CEST, Robert Dinse wrote:
>
>> Package: x2server
>> Version: 4.0.1.19-11.fc24 and 4.0.1.19-0~ubuntu16.04.1
>>
>>     The version of xrandr built into the x2go server is 1.2, but both 
>> Ubuntu 16.04.1 and Fedora 24 require 1.3 at least.
>>
>>     When I connect with full display, this causes me to get a 600x800 
>> window
>> in the full display instead of the full display because the resize fails on
>> the server.
>>
>>     My current work around on both Ubuntu 16.04.1 and Fedora 24 is to bring
>> up a terminal and type "xrandr -s 1680x1050".  This works as the command 
>> line
>> version is 1.5.
>>
>>     However using the display settings under Mate also fails.
>> 
>
> Please try nx-libs 3.5.99.1 [1]. This needs to be installed in conjunction 
> with x2goserver-x2goagent (available in x2goserver nightly builds).
>
> Please do that on a test server and report back if issues are gone then.
>
> Mike
>
> [1] https://sunweavers.net/blog/node/46
> -- 
>
> DAS-NETZWERKTEAM
> mike gabriel, herweg 7, 24357 fleckeby
> mobile: +49 (1520) 1976 148
> landline: +49 (4354) 8390 139
>
> GnuPG Fingerprint: 9BFB AEE8 6C0A A5FF BF22  0782 9AF4 6B30 2577 1B31
> mail: [email-masked], http://das-netzwerkteam.de
>